Advertisements

Symantec Enterprise Security Manager install error: 32bit libpam not detected, aborting installation

Trying to install Symantec ESM on Red Hat Enterprise Linux

root@linux:/tmp/esm100 # ./Linux18.sh esmmanager.setaoffice.com linux.setaoffice.com
Logging ESM install to /tmp/esm_install.log.30608
32bit libpam not detected, aborting installation

When installing PAM 32 bits it shows the following libraries are needed

root@linux:/tmp/esm100 # rpm -ivh pam-1.1.1-13.el6.i686.rpm
error: Failed dependencies:
libaudit.so.1 is needed by pam-1.1.1-13.el6.i686
libcrack.so.2 is needed by pam-1.1.1-13.el6.i686
libdb-4.7.so is needed by pam-1.1.1-13.el6.i686
libselinux.so.1 is needed by pam-1.1.1-13.el6.i686

Install audit-libs, cracklib, db4 and finally pam

root@linux:/tmp/esm100 # rpm -ivh audit-libs-2.2-2.el6.i686.rpm
Preparing… ########################################### [100%]
1:audit-libs ########################################### [100%]

root@linux:/tmp/esm100 # rpm -ivh cracklib-2.8.16-4.el6.i686.rpm
Preparing… ########################################### [100%]
1:cracklib ########################################### [100%]

root@linux:/tmp/esm100 # rpm -ivh db4-4.7.25-18.el6_4.i686.rpm
Preparing… ########################################### [100%]
1:db4 ########################################### [100%]

root@linux:/tmp/esm100 # rpm -ivh libselinux-2.0.94-5.3.el6_4.1.i686.rpm
Preparing… ########################################### [100%]
1:libselinux ########################################### [100%]

root@linux:/tmp/esm100 # rpm -ivh pam-1.1.1-13.el6.i686.rpm
Preparing… ########################################### [100%]
1:pam ########################################### [100%]

Advertisements
%d bloggers like this: